Donations
Patch a scheduled report's cadence or recipients
Selectively updates frequency, start_date, and/or recipient_emails on an existing ScheduledReport. Each field is only written when present in the request. Enforces tenant scope — returns 403 when the schedule does not belong to the caller’s client. Requires permission: donations_manage (also satisfied by reports_manage).
PUT
/
admin
/
reports
/
schedule
/
{id}
Patch a scheduled report's cadence or recipients
curl --request PUT \
--url https://api.gratona.com/v1/admin/reports/schedule/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"frequency": 2,
"start_date": "2026-06-01",
"recipient_emails": [
"finance@example.org"
]
}
'import requests
url = "https://api.gratona.com/v1/admin/reports/schedule/{id}"
payload = {
"frequency": 2,
"start_date": "2026-06-01",
"recipient_emails": ["finance@example.org"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
frequency: 2,
start_date: '2026-06-01',
recipient_emails: ['finance@example.org']
})
};
fetch('https://api.gratona.com/v1/admin/reports/schedule/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/reports/schedule/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'frequency' => 2,
'start_date' => '2026-06-01',
'recipient_emails' => [
'finance@example.org'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/reports/schedule/{id}"
payload := strings.NewReader("{\n \"frequency\": 2,\n \"start_date\": \"2026-06-01\",\n \"recipient_emails\": [\n \"finance@example.org\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gratona.com/v1/admin/reports/schedule/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"frequency\": 2,\n \"start_date\": \"2026-06-01\",\n \"recipient_emails\": [\n \"finance@example.org\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/reports/schedule/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"frequency\": 2,\n \"start_date\": \"2026-06-01\",\n \"recipient_emails\": [\n \"finance@example.org\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"message": "Scheduled report updated successfully",
"success": true
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Unauthorized"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
bearerAuthapiKeyAuth
Passport bearer token authentication for legacy admin sessions.
Path Parameters
ScheduledReport id to update.
Body
application/json
New delivery cadence code: 0 daily, 1 weekly, 2 monthly, 3 quarterly, 4 semiannual, 5 annual, 6 once, or 14 biweekly.
Available options:
0, 1, 2, 3, 4, 5, 6, 14 Example:
2
New first-run date. Validation: nullable|date.
Example:
"2026-06-01"
Replace the recipient list. Validation: nullable|array, each entry email.
Example:
["finance@example.org"]
⌘I
Patch a scheduled report's cadence or recipients
curl --request PUT \
--url https://api.gratona.com/v1/admin/reports/schedule/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"frequency": 2,
"start_date": "2026-06-01",
"recipient_emails": [
"finance@example.org"
]
}
'import requests
url = "https://api.gratona.com/v1/admin/reports/schedule/{id}"
payload = {
"frequency": 2,
"start_date": "2026-06-01",
"recipient_emails": ["finance@example.org"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
frequency: 2,
start_date: '2026-06-01',
recipient_emails: ['finance@example.org']
})
};
fetch('https://api.gratona.com/v1/admin/reports/schedule/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/reports/schedule/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'frequency' => 2,
'start_date' => '2026-06-01',
'recipient_emails' => [
'finance@example.org'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/reports/schedule/{id}"
payload := strings.NewReader("{\n \"frequency\": 2,\n \"start_date\": \"2026-06-01\",\n \"recipient_emails\": [\n \"finance@example.org\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gratona.com/v1/admin/reports/schedule/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"frequency\": 2,\n \"start_date\": \"2026-06-01\",\n \"recipient_emails\": [\n \"finance@example.org\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/reports/schedule/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"frequency\": 2,\n \"start_date\": \"2026-06-01\",\n \"recipient_emails\": [\n \"finance@example.org\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"message": "Scheduled report updated successfully",
"success": true
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Unauthorized"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}